Bug 191709 - matplotlib does not match available version of numpy
matplotlib does not match available version of numpy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 08:23 EDT by José Matos
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.87.2-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 07:32:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description José Matos 2006-05-15 08:23:31 EDT
Description of problem:
When using numpy as numerix value I get:

  File "/usr/lib/python2.4/site-packages/pylab.py", line 1, in ?
    from matplotlib.pylab import *
  File "/usr/lib/python2.4/site-packages/matplotlib/pylab.py", line 200, in ?
    from axes import Axes, PolarAxes
  File "/usr/lib/python2.4/site-packages/matplotlib/axes.py", line 23, in ?
    from contour import ContourSet
  File "/usr/lib/python2.4/site-packages/matplotlib/contour.py", line 18, in ?
    import _contour
  File "/usr/lib/python2.4/site-packages/matplotlib/_contour.py", line 17, 
in ?
    from matplotlib._ns_cntr import *
RuntimeError: module compiled against version 90500 of C-API but this version 
of numpy is 90504

The available versions of matplotlib and numpy are:
$ rpm -q python-matplotlib numpy
python-matplotlib-0.87.2-1.fc5
numpy-0.9.6-1.fc5

I guess that a rebuild should fix this problem.
Comment 1 Orion Poplawski 2006-05-15 11:25:58 EDT
Please test with 0.87.2-2.fc5, being built now.
Comment 2 José Matos 2006-05-16 07:32:04 EDT
Fixed, thank you.

It would be nice to include this information automatically, and I need to do 
it for some of my packages. But for now the bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.